import { RmService } from '@bidi/common-services';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
export declare class RatingsService {
    private store;
    private rm;
    static featureName: string;
    processDataRatings: any;
    constructor(store: Store<any>, rm: RmService);
    private state$;
    ratings$: Observable<any>;
    getRatings(id: string): void;
    processRatings(userName: any): void;
}
